{"openapi":"3.0.4","info":{"title":"Soft or hard delete multiple custodian accounts","description":"Delete one or more custodian accounts from the Transaction Portfolios. Soft deletion marks the custodian account as inactive\r\nWhile the Hard deletion is deleting the custodian account.\n\nThe batch limit per request is 2,000.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/custodianaccounts/$delete":{"post":{"tags":["Transaction Portfolios"],"summary":"Soft or hard delete multiple custodian accounts","description":"Delete one or more custodian accounts from the Transaction Portfolios. Soft deletion marks the custodian account as inactive\r\nWhile the Hard deletion is deleting the custodian account.\n\nThe batch limit per request is 2,000.","operationId":"DeleteCustodianAccounts","parameters":[{"name":"scope","in":"path","description":"The scope of the Transaction Portfolios.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Transaction Portfolios. Together with the scope this uniquely identifies\r\n            the Transaction Portfolios.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"deleteMode","in":"query","description":"The delete mode to use. Default value: Soft. Available values: Soft, Hard.","schema":{"enum":["Soft","Hard"],"type":"string"},"x-nullable":true}],"requestBody":{"description":"The scope and codes of the custodian accounts to delete.","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"ScopeA","code":"AccountCode1"},{"scope":"ScopeB","code":"AccountCode2"}]},"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"ScopeA","code":"AccountCode1"},{"scope":"ScopeB","code":"AccountCode2"}]},"text/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"ScopeA","code":"AccountCode1"},{"scope":"ScopeB","code":"AccountCode2"}]},"application/*+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceId"}},"example":[{"scope":"ScopeA","code":"AccountCode1"},{"scope":"ScopeB","code":"AccountCode2"}]}},"required":true},"responses":{"200":{"description":"The datetime that the custodian accounts were deleted.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteCustodianAccountsResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteCustodianAccountsResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteCustodianAccountsResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}